<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: widgets.MyTableWidget Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classwidgets_1_1_my_table_widget.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classwidgets_1_1_my_table_widget-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">widgets.MyTableWidget Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for widgets.MyTableWidget:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classwidgets_1_1_my_table_widget.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa2f07d87a96f06eb44168e33a884b449"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#aa2f07d87a96f06eb44168e33a884b449">__init__</a> (self, parent, str <a class="el" href="classwidgets_1_1_my_table_widget.html#aa07e9497bcb9b1f0a1d1ff4209e8418a">database</a>, <a class="el" href="classwidgets_1_1_my_table_widget.html#aebac73232093d16a223847a69861a851">app</a>)</td></tr>
<tr class="separator:aa2f07d87a96f06eb44168e33a884b449"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aebac73232093d16a223847a69861a851"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#aebac73232093d16a223847a69861a851">app</a></td></tr>
<tr class="separator:aebac73232093d16a223847a69861a851"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2be445117fdea20a318c98a3c7b8b5a8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#a2be445117fdea20a318c98a3c7b8b5a8">layout</a></td></tr>
<tr class="separator:a2be445117fdea20a318c98a3c7b8b5a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa07e9497bcb9b1f0a1d1ff4209e8418a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#aa07e9497bcb9b1f0a1d1ff4209e8418a">database</a></td></tr>
<tr class="separator:aa07e9497bcb9b1f0a1d1ff4209e8418a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5568c1c05592a1d0e0340167b73fb8ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#a5568c1c05592a1d0e0340167b73fb8ba">tabs</a></td></tr>
<tr class="separator:a5568c1c05592a1d0e0340167b73fb8ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc4e83d83a1d3df0ac37e2d9a06ca756"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#acc4e83d83a1d3df0ac37e2d9a06ca756">tab1</a></td></tr>
<tr class="separator:acc4e83d83a1d3df0ac37e2d9a06ca756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb06a4105609573feb3f56ed3d34bbad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#abb06a4105609573feb3f56ed3d34bbad">tab2</a></td></tr>
<tr class="separator:abb06a4105609573feb3f56ed3d34bbad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7721ca30066c28bcc0fbf4d0940908b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#a7721ca30066c28bcc0fbf4d0940908b1">plot_1</a></td></tr>
<tr class="separator:a7721ca30066c28bcc0fbf4d0940908b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4334531a74072f819b951231ce21c88"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_my_table_widget.html#ac4334531a74072f819b951231ce21c88">text</a></td></tr>
<tr class="separator:ac4334531a74072f819b951231ce21c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa2f07d87a96f06eb44168e33a884b449" name="aa2f07d87a96f06eb44168e33a884b449"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f07d87a96f06eb44168e33a884b449">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def widgets.MyTableWidget.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>app</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Create the tabs for the main Window

:param parent: class of main window
:param database: name of database to read data from
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aebac73232093d16a223847a69861a851" name="aebac73232093d16a223847a69861a851"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebac73232093d16a223847a69861a851">&#9670;&nbsp;</a></span>app</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.MyTableWidget.app</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa07e9497bcb9b1f0a1d1ff4209e8418a" name="aa07e9497bcb9b1f0a1d1ff4209e8418a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa07e9497bcb9b1f0a1d1ff4209e8418a">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.MyTableWidget.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2be445117fdea20a318c98a3c7b8b5a8" name="a2be445117fdea20a318c98a3c7b8b5a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2be445117fdea20a318c98a3c7b8b5a8">&#9670;&nbsp;</a></span>layout</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.MyTableWidget.layout</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7721ca30066c28bcc0fbf4d0940908b1" name="a7721ca30066c28bcc0fbf4d0940908b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7721ca30066c28bcc0fbf4d0940908b1">&#9670;&nbsp;</a></span>plot_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.MyTableWidget.plot_1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acc4e83d83a1d3df0ac37e2d9a06ca756" name="acc4e83d83a1d3df0ac37e2d9a06ca756"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc4e83d83a1d3df0ac37e2d9a06ca756">&#9670;&nbsp;</a></span>tab1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.MyTableWidget.tab1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abb06a4105609573feb3f56ed3d34bbad" name="abb06a4105609573feb3f56ed3d34bbad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb06a4105609573feb3f56ed3d34bbad">&#9670;&nbsp;</a></span>tab2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.MyTableWidget.tab2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5568c1c05592a1d0e0340167b73fb8ba" name="a5568c1c05592a1d0e0340167b73fb8ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5568c1c05592a1d0e0340167b73fb8ba">&#9670;&nbsp;</a></span>tabs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.MyTableWidget.tabs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac4334531a74072f819b951231ce21c88" name="ac4334531a74072f819b951231ce21c88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4334531a74072f819b951231ce21c88">&#9670;&nbsp;</a></span>text</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.MyTableWidget.text</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="widgets_8py.html">widgets.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacewidgets.html">widgets</a></li><li class="navelem"><a class="el" href="classwidgets_1_1_my_table_widget.html">MyTableWidget</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
